ICoverageNode.CounterEntity (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jacoco.core.analysis
Enum ICoverageNode.CounterEntity

    java.lang.Object
      java.lang.Enum<ICoverageNode.CounterEntity>
          org.jacoco.core.analysis.ICoverageNode.CounterEntity

All Implemented Interfaces:
  Serializable, Comparable<ICoverageNode.CounterEntity>

Enclosing interface:
  ICoverageNode

    public static enum ICoverageNode.CounterEntity

extends Enum<ICoverageNode.CounterEntity>

Different counter types supported by JaCoCo.

Enum Constant Summary
`BRANCH` Counter for branches
`CLASS` Counter for classes
`COMPLEXITY` Counter for cyclomatic complexity
`INSTRUCTION` Counter for instructions
`LINE` Counter for source lines
`METHOD` Counter for methods

Method Summary
`static ICoverageNode.CounterEntity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ICoverageNode.CounterEntity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTRUCTION

    public static final ICoverageNode.CounterEntity INSTRUCTION

  Counter for instructions

### BRANCH

    public static final ICoverageNode.CounterEntity BRANCH

  Counter for branches

### LINE

    public static final ICoverageNode.CounterEntity LINE

  Counter for source lines

### COMPLEXITY

    public static final ICoverageNode.CounterEntity COMPLEXITY

  Counter for cyclomatic complexity

### METHOD

    public static final ICoverageNode.CounterEntity METHOD

  Counter for methods

### CLASS

    public static final ICoverageNode.CounterEntity CLASS

  Counter for classes

Method Detail

### values

    public static ICoverageNode.CounterEntity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ICoverageNode.CounterEntity c : ICoverageNode.CounterEntity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ICoverageNode.CounterEntity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.